Bug 25007 - Embedded image content doesn't render
Summary: Embedded image content doesn't render
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: cairo backend (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 27456
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 01:50 UTC by Carlos Garcia Campos
Modified: 2018-08-20 22:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2009-11-10 01:50:19 UTC
Bug forwarded from Evince: https://bugzilla.gnome.org/show_bug.cgi?id=599505

"While testing my new evince-2.28.1, I accidentally found a document which
doesn't render in evince.

The document (attached) contains a frame and a logo, and embeds two scanned
images. The image content is not displayed im evince. Version 2.27.90 shows the
same behavior. (I don't have older versions to check, sorry.)

Poppler's demo app poppler_qt4viewer properly renders the document, poppler's
pdfimages extracts the embedded images.

BTW, I'm displaying within NX (a remote X11 solution somewhat like VNC - but
different). But that has never mattered for evince."

Document is attached to original bug report. This is a bug in drawImageMaskPrescaled() since using drawImageMaskRegular() instead fixes the problem (although the quality is quite bad). 

I'm not sure whether it's the same issue than bug #22469 which is also a problem in drawImageMaskPrescaled()
Comment 1 Moritz Barsnick 2012-06-12 07:11:56 UTC
I haven't seen any updates tracked here, nor have I looked at the recent poppler source changes.

Yet, using poppler-0.20.1, I no longer have this issue in epdfview.
With poppler-0.18.0, I do have this issue in epdfview.

(Can't test evince as originally reported, sorry.)
Comment 2 Moritz Barsnick 2012-06-12 08:04:52 UTC
P.S.: I'm the original reporter of the GNOME/evince bug.

Addendum:
Same thing for pdf2svg. Rebuilt against poppler-0.20.1, the SVG file created from the noted PDF now displays the missing image. The SVG's file size has also significantly increased (and correctly so):

-rw-r----- 1 user group 169486 Jun 12 16:21 074barsnick.pdf2svg-0.2.1-3.svg
-rw-r----- 1 user group 269615 Jun 12 16:21 074barsnick.pdf2svg-0.2.1-4.svg

Perhaps you have a changeset which fixed this to point us to. :-)
Comment 3 GitLab Migration User 2018-08-20 22:04:12 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/181.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.